%define oname   flexmock

Name:       ruby-%{oname}
Version:    0.9.0
Release:    %mkrel 1
Summary:    Simple and Flexible Mock Objects for Testing
Group:      Development/Ruby
License:    MIT
URL:        http://flexmock.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
FlexMock is a extremely simple mock object class compatible
with the Test::Unit framework.  Although the FlexMock's
interface is simple, it is very flexible.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGES
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/GoogleExample.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.4.0.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.4.1.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.4.2.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.4.3.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.5.0.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.5.1.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.6.0.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.6.1.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.6.2.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.6.3.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.6.4.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.7.0.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.7.1.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.8.0.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.8.2.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.8.3.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.8.4.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.8.5.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/flexmock-0.9.0.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install
# fix shebang
find %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
  -type f -exec sed -i -e "/^#!/d" {} \; -exec chmod -x {} \;

%check
rake ta

%clean
rm -rf %{buildroot}



%changelog
* Sun Apr 17 2011 shikamaru <shikamaru> 0.9.0-1.mga1
+ Revision: 87113
- new version 0.9.0

* Tue Jan 25 2011 shikamaru <shikamaru> 0.8.11-3.mga1
+ Revision: 39587
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 0.8.11-2.mga1
+ Revision: 35599
- imported package ruby-flexmock


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.8.11-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Fri Dec 03 2010 Rémy Clouard <shikamaru@mandriva.org> 0.8.11-1mdv2011.0
+ Revision: 606980
- import rubygem-flexmock

